Bug 250103 - [exp-run] math/py-pandas: Update to 1.2.0
Summary: [exp-run] math/py-pandas: Update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-04 18:31 UTC by Po-Chuan Hsieh
Modified: 2021-01-30 13:38 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2020-10-04 18:31:55 UTC
Patch: https://people.FreeBSD.org/~sunpoet/patch/Mk-Uses-python.mk.txt

Request exp-run.
Comment 1 Antoine Brodin freebsd_committer 2020-10-05 16:46:34 UTC
There are problems with the patch

[00:01:51] Error: compute_deps_pkg failed to lookup pkgname for math/py-pandas0@py27 processing package py27-gtfparse-1.2.1 from biology/py-gtfparse@py27 -- Is SUBDIR+=py-pandas0@py27 missing in math/Makefile and does the port provide the 'py27' FLAVOR?
[00:01:51] Error: compute_deps_pkg failed to lookup pkgname for math/py-pandas0@py27 processing package py27-pandas-charm-0.3.0_1 from biology/py-pandas-charm@py27 -- Is SUBDIR+=py-pandas0@py27 missing in math/Makefile and does the port provide the 'py27' FLAVOR?
[00:01:51] Error: compute_deps_pkg failed to lookup existing pkgname for math/py-pandas0@py27 processing package py27-gtfparse-1.2.1
[00:01:51] Error: compute_deps_pkg failed to lookup existing pkgname for math/py-pandas0@py27 processing package py27-pandas-charm-0.3.0_1
[00:01:52] Error: compute_deps_pkg failed to lookup pkgname for math/py-pandas0@py27 processing package py27-geopandas-0.8.1 from graphics/py-geopandas@py27 -- Is SUBDIR+=py-pandas0@py27 missing in math/Makefile and does the port provide the 'py27' FLAVOR?
[00:01:52] Error: compute_deps_pkg failed to lookup existing pkgname for math/py-pandas0@py27 processing package py27-geopandas-0.8.1
[00:01:52] Error: compute_deps_pkg failed to lookup pkgname for math/py-pandas0@py27 processing package py27-pandas-datareader-0.8.1 from math/py-pandas-datareader@py27 -- Is SUBDIR+=py-pandas0@py27 missing in math/Makefile and does the port provide the 'py27' FLAVOR?
[00:01:52] Error: compute_deps_pkg failed to lookup existing pkgname for math/py-pandas0@py27 processing package py27-pandas-datareader-0.8.1
[00:01:52] Error: compute_deps_pkg failed to lookup pkgname for math/py-pandas0@py27 processing package py27-statsmodels010-0.10.2 from math/py-statsmodels010@py27 -- Is SUBDIR+=py-pandas0@py27 missing in math/Makefile and does the port provide the 'py27' FLAVOR?
[00:01:52] Error: compute_deps_pkg failed to lookup existing pkgname for math/py-pandas0@py27 processing package py27-statsmodels010-0.10.2
[00:01:52] Error: compute_deps_pkg failed to lookup pkgname for math/py-pandas0@py27 processing package py27-eemeter-2.5.2_2 from misc/py-eemeter@py27 -- Is SUBDIR+=py-pandas0@py27 missing in math/Makefile and does the port provide the 'py27' FLAVOR?
[00:01:52] Error: compute_deps_pkg failed to lookup existing pkgname for math/py-pandas0@py27 processing package py27-eemeter-2.5.2_2
Comment 2 Antoine Brodin freebsd_committer 2020-10-05 16:49:25 UTC
py-pandas0 has to be added to math/Makefile
Comment 3 Po-Chuan Hsieh freebsd_committer 2020-10-06 18:49:02 UTC
Add math/Makefile to the patch.
https://people.FreeBSD.org/~sunpoet/patch/math-py-pandas-v2.txt
Comment 5 Po-Chuan Hsieh freebsd_committer 2021-01-10 23:28:15 UTC
Update math/py-pandas to 1.2.0 and change dependent ports to USES=python:3.7+.
Comment 7 Po-Chuan Hsieh freebsd_committer 2021-01-23 22:24:55 UTC
Sorry, I forgot to run "svn add files/patch-setup.cfg", therefore the fix is missing.
Comment 8 Antoine Brodin freebsd_committer 2021-01-30 08:33:02 UTC
Exp-run looks fine
Comment 9 Rainer Hurling freebsd_committer 2021-01-30 09:41:48 UTC
Hi Sunpoet,

Now that your patch to 1.2.0 seems ready to commit, I would suggest to directly update towards version 1.2.0 and not to wait on the interims release 1.1.5 (bug #251412), I am involved in ;)

If you decide to commit 1.2.0 now, could you please also close bug #251412 afterwards?
Comment 10 commit-hook freebsd_committer 2021-01-30 13:30:02 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Jan 30 13:29:38 UTC 2021
New revision: 563406
URL: https://svnweb.freebsd.org/changeset/ports/563406

Log:
  Update to 1.2.0

  Changes:	https://github.com/pandas-dev/pandas/releases
  PR:		250103
  Exp-run by:	antoine

Changes:
  head/math/py-pandas/Makefile
  head/math/py-pandas/distinfo
  head/math/py-pandas/files/patch-setup.cfg
Comment 11 commit-hook freebsd_committer 2021-01-30 13:31:03 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Jan 30 13:30:12 UTC 2021
New revision: 563407
URL: https://svnweb.freebsd.org/changeset/ports/563407

Log:
  Update USES=python: math/py-pandas 1.2.0 requires Python 3.7+

  PR:		250103

Changes:
  head/astro/py-metpy/Makefile
  head/biology/py-biom-format/Makefile
  head/biology/py-gtfparse/Makefile
  head/biology/py-loompy/Makefile
  head/biology/py-orange3-single-cell/Makefile
  head/biology/py-pandas-charm/Makefile
  head/devel/py-apptools/Makefile
  head/devel/py-dask/Makefile
  head/devel/py-envisage/Makefile
  head/devel/py-fbprophet/Makefile
  head/devel/py-flake8-builtins/Makefile
  head/devel/py-hypothesis/Makefile
  head/devel/py-hypothesmith/Makefile
  head/devel/py-xarray/Makefile
  head/graphics/py-altair/Makefile
  head/graphics/py-geopandas/Makefile
  head/graphics/py-giddy/Makefile
  head/graphics/py-mapclassify/Makefile
  head/graphics/py-mgwr/Makefile
  head/graphics/py-pointpats/Makefile
  head/graphics/py-traitsui/Makefile
  head/graphics/qgis/Makefile
  head/graphics/qgis-ltr/Makefile
  head/math/py-arviz/Makefile
  head/math/py-benford_py/Makefile
  head/math/py-pandas-datareader/Makefile
  head/math/py-pymc3/Makefile
  head/math/py-rpy2/Makefile
  head/math/py-seaborn/Makefile
  head/math/py-spglm/Makefile
  head/math/py-spint/Makefile
  head/math/py-splot/Makefile
  head/math/py-spreg/Makefile
  head/math/py-spvcm/Makefile
  head/math/py-ssm/Makefile
  head/math/py-statsmodels/Makefile
  head/math/py-statsmodels010/Makefile
  head/math/sage/Makefile
  head/misc/py-eemeter/Makefile
  head/misc/py-orange3-timeseries/Makefile
  head/net-mgmt/netbox/Makefile
  head/science/abinit/Makefile
  head/science/agrum/Makefile
  head/science/py-MDAnalysisTests/Makefile
  head/science/py-abipy/Makefile
  head/science/py-access/Makefile
  head/science/py-chainer-chemistry/Makefile
  head/science/py-esda/Makefile
  head/science/py-libpysal/Makefile
  head/science/py-lifelines/Makefile
  head/science/py-oddt/Makefile
  head/science/py-pymatgen/Makefile
  head/science/py-segregation/Makefile
  head/science/py-tobler/Makefile
  head/textproc/py-elasticsearch-curator/Makefile
  head/textproc/py-elasticsearch-dsl/Makefile
  head/textproc/py-elasticsearch6/Makefile
  head/textproc/py-petl/Makefile
  head/textproc/py-tablib/Makefile
  head/www/py-dj31-django-tables2/Makefile
  head/www/py-django-tables2/Makefile
  head/www/py-spyne/Makefile
Comment 12 Po-Chuan Hsieh freebsd_committer 2021-01-30 13:31:46 UTC
Committed. Thanks!
Comment 13 commit-hook freebsd_committer 2021-01-30 13:38:05 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Jan 30 13:37:03 UTC 2021
New revision: 563408
URL: https://svnweb.freebsd.org/changeset/ports/563408

Log:
  Update USES=python: math/py-pandas 1.2.0 requires Python 3.7+

  PR:		250103

Changes:
  head/devel/py-datatest/Makefile
  head/science/py-nilearn/Makefile